## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface ImperativeIterateExp

All Superinterfaces:
  ImperativeExpression, ImperativeLoopExp

All Known Implementing Classes:
  ImperativeIterateExpImpl

    public interface ImperativeIterateExp

extends ImperativeLoopExp

A representation of the model object 'Imperative Iterate Exp'.

The following features are supported:

- `Target`

See Also:
  `ImperativeOCLPackage.getImperativeIterateExp()`

Method Summary
`Variable` `getTarget()` Returns the value of the 'Target' containment reference
`void` `setTarget(Variable value)` Sets the value of the '`Target`' containment reference

Methods inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeLoopExp
`getCondition, setCondition`

Method Detail

### getTarget

    Variable getTarget()

  Returns the value of the 'Target' containment reference.

  If the meaning of the 'Target' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `setTarget(Variable)`, `ImperativeOCLPackage.getImperativeIterateExp_Target()`

### setTarget

    void setTarget(Variable value)

  Sets the value of the '`Target`' containment reference.

  Parameters:
    `value` - the new value of the 'Target' containment reference.
  See Also:
    `getTarget()`

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.